installationerror

option, parallelism,...

Moderators: jbeuken, Jordan, pouillon

Forum rules
Please have a look at ~abinit/doc/config/build-config.ac in the source package for detailed and up-to-date information about the configuration of Abinit builds.
For a video explanation on how to build Abinit for Linux, please go to: http://www.youtube.com/watch?v=DppLQ-KQA68.
IMPORTANT: when an answer solves your problem, please check the little green V-like button on its upper-right corner to accept it.
Post Reply
haider
Posts: 3
Joined: Thu Jan 17, 2019 4:52 am

installationerror

Post by haider » Thu Feb 14, 2019 4:50 am

Dear all,

I am trying to install abinit in parallel, for this I run the command

./configure --with-mpi-prefix=/usr/local/bin

I have 10 machine, all having 4 core

So next I run the command

make multi multi_nprocs=40

it gives me an error

m_spin_model_primitive.F90:905:0: internal compiler error: in gfc_conv_descriptor_data_get, at fortran/trans-array.c:145
end module m_spin_model_primitive
^
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.9/README.Bugs> for instructions.
Makefile:1004: recipe for target 'm_spin_model_primitive.o' failed
make[4]: *** [m_spin_model_primitive.o] Error 1
make[4]: Leaving directory '/home/mpiuser/abinit-8.10.1/src/78_effpot'
Makefile:924: recipe for target 'all-recursive' failed
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory '/home/mpiuser/abinit-8.10.1/src'
Makefile:2317: recipe for target 'all-recursive' failed
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory '/home/mpiuser/abinit-8.10.1'
Makefile:2245: recipe for target 'all' failed
make[1]: *** [all] Error 2
make[1]: Leaving directory '/home/mpiuser/abinit-8.10.1'
Makefile:2806: recipe for target 'multi' failed
make: *** [multi] Error 2
root@master:/home/mpiuser/abinit-8.10.1#


could you please let me know, where I am making a mistake.

Thanking in advance

Haider

User avatar
jbeuken
Posts: 322
Joined: Tue Aug 18, 2009 9:24 pm
Contact:

Re: installationerror

Post by jbeuken » Thu Feb 14, 2019 10:45 am

Hi,

we need more infos...

which type/version of compiler ?

what is the output of theses cmd ?:

Code: Select all

mpif90 --version
mpif90 -show


jmb
------
Jean-Michel Beuken
Computer Scientist

haider
Posts: 3
Joined: Thu Jan 17, 2019 4:52 am

Re: installationerror

Post by haider » Sat Feb 16, 2019 7:35 am

root@master:~# mpif90 --version
GNU Fortran (Ubuntu 4.9.1-16ubuntu6) 4.9.1
Copyright (C) 2014 Free Software Foundation, Inc.

GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
You may redistribute copies of GNU Fortran
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING

root@master:~# mpif90 -show
gfortran -I/usr/local/include -I/usr/local/include -L/usr/local/lib -lmpifort -Wl,-rpath -Wl,/usr/local/lib -Wl,--enable-new-dtags -lmpi
root@master:~#

User avatar
jbeuken
Posts: 322
Joined: Tue Aug 18, 2009 9:24 pm
Contact:

Re: installationerror

Post by jbeuken » Sun Feb 17, 2019 4:05 pm

oot@master:~# mpif90 --version
GNU Fortran (Ubuntu 4.9.1-16ubuntu6) 4.9.1
Copyright (C) 2014 Free Software Foundation, Inc.

pretty old env... : 4.9 no more supported ( >= gnu 5.3 )

root@master:~# mpif90 -show
gfortran -I/usr/local/include -I/usr/local/include -L/usr/local/lib -lmpifort -Wl,-rpath -Wl,/usr/local/lib -Wl,--enable-new-dtags -lmpi


strange to find this library in the mpif90 wrapper : -lmpifort !?!
mismatch environment... intel vs GNU ?

jmb
------
Jean-Michel Beuken
Computer Scientist

Post Reply